curl --request PUT \ --url https://{appId}.api-{region}.cometchat.io/v3/moderation/keywords/{keywordId} \ --header 'Content-Type: multipart/form-data' \ --header 'apikey: <api-key>' \ --form 'searchTerms=AI-powered video moderation to detect unsafe content.' \ --form 'file=<string>' \ --form id=ID-of-the-word-list \ --form 'name=Name of the word list' \ --form 'description=Description of the word list'
import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/moderation/keywords/{keywordId}"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"searchTerms\"\r\n\r\nAI-powered video moderation to detect unsafe content.\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"id\"\r\n\r\nID-of-the-word-list\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"name\"\r\n\r\nName of the word list\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"description\"\r\n\r\nDescription of the word list\r\n-----011000010111000001101001--"
headers = {
"apikey": "<api-key>",
"Content-Type": "multipart/form-data"
}
response = requests.put(url, data=payload, headers=headers)
print(response.text)
const form = new FormData();
form.append('searchTerms', 'AI-powered video moderation to detect unsafe content.');
form.append('file', '<string>');
form.append('id', 'ID-of-the-word-list');
form.append('name', 'Name of the word list');
form.append('description', 'Description of the word list');
const options = {method: 'PUT', headers: {apikey: '<api-key>'}};
options.body = form;
fetch('https://{appId}.api-{region}.cometchat.io/v3/moderation/keywords/{keywordId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{appId}.api-{region}.cometchat.io/v3/moderation/keywords/{keywordId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"searchTerms\"\r\n\r\nAI-powered video moderation to detect unsafe content.\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"id\"\r\n\r\nID-of-the-word-list\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"name\"\r\n\r\nName of the word list\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"description\"\r\n\r\nDescription of the word list\r\n-----011000010111000001101001--",
CURLOPT_HTTPHEADER => [
"Content-Type: multipart/form-data",
"apikey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{appId}.api-{region}.cometchat.io/v3/moderation/keywords/{keywordId}"
payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"searchTerms\"\r\n\r\nAI-powered video moderation to detect unsafe content.\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"id\"\r\n\r\nID-of-the-word-list\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"name\"\r\n\r\nName of the word list\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"description\"\r\n\r\nDescription of the word list\r\n-----011000010111000001101001--")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("apikey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.put("https://{appId}.api-{region}.cometchat.io/v3/moderation/keywords/{keywordId}")
.header("apikey", "<api-key>")
.body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"searchTerms\"\r\n\r\nAI-powered video moderation to detect unsafe content.\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"id\"\r\n\r\nID-of-the-word-list\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"name\"\r\n\r\nName of the word list\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"description\"\r\n\r\nDescription of the word list\r\n-----011000010111000001101001--")
.asString();
require 'uri'
require 'net/http'
url = URI("https://{appId}.api-{region}.cometchat.io/v3/moderation/keywords/{keywordId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["apikey"] = '<api-key>'
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"searchTerms\"\r\n\r\nAI-powered video moderation to detect unsafe content.\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"id\"\r\n\r\nID-of-the-word-list\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"name\"\r\n\r\nName of the word list\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"description\"\r\n\r\nDescription of the word list\r\n-----011000010111000001101001--"
response = http.request(request)
puts response.read_body
Update a CometChat moderation keyword by keywordId with REST API to change keyword or regex pattern settings.
PUT
/
moderation
/
keywords
/
{keywordId}
Update keyword
curl --request PUT \ --url https://{appId}.api-{region}.cometchat.io/v3/moderation/keywords/{keywordId} \ --header 'Content-Type: multipart/form-data' \ --header 'apikey: <api-key>' \ --form 'searchTerms=AI-powered video moderation to detect unsafe content.' \ --form 'file=<string>' \ --form id=ID-of-the-word-list \ --form 'name=Name of the word list' \ --form 'description=Description of the word list'
import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/moderation/keywords/{keywordId}"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"searchTerms\"\r\n\r\nAI-powered video moderation to detect unsafe content.\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"id\"\r\n\r\nID-of-the-word-list\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"name\"\r\n\r\nName of the word list\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"description\"\r\n\r\nDescription of the word list\r\n-----011000010111000001101001--"
headers = {
"apikey": "<api-key>",
"Content-Type": "multipart/form-data"
}
response = requests.put(url, data=payload, headers=headers)
print(response.text)
const form = new FormData();
form.append('searchTerms', 'AI-powered video moderation to detect unsafe content.');
form.append('file', '<string>');
form.append('id', 'ID-of-the-word-list');
form.append('name', 'Name of the word list');
form.append('description', 'Description of the word list');
const options = {method: 'PUT', headers: {apikey: '<api-key>'}};
options.body = form;
fetch('https://{appId}.api-{region}.cometchat.io/v3/moderation/keywords/{keywordId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{appId}.api-{region}.cometchat.io/v3/moderation/keywords/{keywordId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"searchTerms\"\r\n\r\nAI-powered video moderation to detect unsafe content.\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"id\"\r\n\r\nID-of-the-word-list\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"name\"\r\n\r\nName of the word list\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"description\"\r\n\r\nDescription of the word list\r\n-----011000010111000001101001--",
CURLOPT_HTTPHEADER => [
"Content-Type: multipart/form-data",
"apikey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{appId}.api-{region}.cometchat.io/v3/moderation/keywords/{keywordId}"
payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"searchTerms\"\r\n\r\nAI-powered video moderation to detect unsafe content.\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"id\"\r\n\r\nID-of-the-word-list\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"name\"\r\n\r\nName of the word list\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"description\"\r\n\r\nDescription of the word list\r\n-----011000010111000001101001--")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("apikey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.put("https://{appId}.api-{region}.cometchat.io/v3/moderation/keywords/{keywordId}")
.header("apikey", "<api-key>")
.body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"searchTerms\"\r\n\r\nAI-powered video moderation to detect unsafe content.\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"id\"\r\n\r\nID-of-the-word-list\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"name\"\r\n\r\nName of the word list\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"description\"\r\n\r\nDescription of the word list\r\n-----011000010111000001101001--")
.asString();
require 'uri'
require 'net/http'
url = URI("https://{appId}.api-{region}.cometchat.io/v3/moderation/keywords/{keywordId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["apikey"] = '<api-key>'
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"searchTerms\"\r\n\r\nAI-powered video moderation to detect unsafe content.\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"id\"\r\n\r\nID-of-the-word-list\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"name\"\r\n\r\nName of the word list\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"description\"\r\n\r\nDescription of the word list\r\n-----011000010111000001101001--"
response = http.request(request)
puts response.read_body
{"docsConfig":{"theme":"aspen","$schema":"https://mintlify.com/docs.json","name":"CometChat Docs","description":"Technical documentation \u0026 Implementation guides to add In-app Messaging \u0026 Voice \u0026 Video Calling to your apps and websites in minutes.","colors":{"primary":"#6851D6","light":"#6851D6","dark":"#6851D6"},"logo":{"light":"https://mintcdn.com/cometchat-22654f5b/rnJE5Ok_8RIDEPUR/logo/light.svg?fit=max\u0026auto=format\u0026n=rnJE5Ok_8RIDEPUR\u0026q=85\u0026s=461a8ced4bf934b4f3a2770f090f2d3c","dark":"https://mintcdn.com/cometchat-22654f5b/rnJE5Ok_8RIDEPUR/logo/dark.svg?fit=max\u0026auto=format\u0026n=rnJE5Ok_8RIDEPUR\u0026q=85\u0026s=12aa48fcf137edde64a9539360548174"},"favicon":"https://mintcdn.com/cometchat-22654f5b/8ODUflBxloB1jkgP/favicon.png?fit=max\u0026auto=format\u0026n=8ODUflBxloB1jkgP\u0026q=85\u0026s=b5c68dc37f6a82e5cfb5f96746e433c8","navbar":{"links":[{"href":"https://app.cometchat.com/","label":"Dashboard"}],"primary":{"type":"button","label":"Contact Support","href":"https://help.cometchat.com/hc/en-us/requests/new"}},"footer":{"socials":{"linkedin":"https://www.linkedin.com/company/cometchat","x":"https://twitter.com/CometChat","github":"https://www.github.com/cometchat"}},"seo":{"metatags":{"charset":"UTF-8","viewport":"width=device-width, initial-scale=1.0","description":"Learn how to integrate, customize, and scale real-time chat using CometChat’s UI Kits, SDKs, and widgets across popular frameworks. Get step-by-step guides, best practices, and implementation details to build production-ready chat experiences.","language":"en"},"indexing":"all"},"errors":{"404":{"redirect":true}},"contextual":{"options":["claude","cursor","chatgpt","vscode","perplexity","mcp","copy"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"cometchat-22654f5b","hasAudioNarration":false,"actualSubdomain":"cometchat-22654f5b","customDomains":["www.cometchat.com"],"gitSource":{"type":"github","owner":"cometchat","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ad8adbaace1a45c00d9ce01","collectionId":"bf9927bc-3d8d-4a73-bb68-ef43fbe81e1d","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ad8adbaace1a45c00d9ce01"},"feedback":{"thumbs":true,"edits":true,"issues":true,"agentFeedback":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"}},"buildId":"6ad8adbaace1a45c00d9ce01","clientVersion":"0.0.3966","searchFilterCounts":[{"language":"default","tag":"Chat \u0026 Messaging","count":2616},{"language":"default","tag":"UI Kits","count":1327},{"language":"default","tag":"SDKs","count":907},{"language":"default","tag":"Components","count":677},{"language":"default","tag":"Android","count":491},{"language":"default","tag":"APIs","count":473},{"language":"default","tag":"Flutter","count":400},{"language":"default","tag":"iOS","count":370},{"language":"default","tag":"React Native","count":360},{"language":"default","tag":"React","count":320}]},"assistantConfig":{"enableAskAiButton":true,"enableStarterQuestions":false,"enableAskAiSearchBar":true,"deflection":{"enabled":true,"email":"help@cometchat.com","showHelpButton":true}},"hasChatPermissions":true,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[{"filePath":"assets/feedback-support-ticket.css","content":".feedback-toolbar>div:has(#feedback-thumbs-up){justify-content:flex-start;gap:.75rem}.feedback-toolbar>div>div:has(#feedback-thumbs-up){display:contents}.feedback-toolbar>div>div>div:has(>#feedback-support-ticket),.feedback-toolbar>div>div>div:has(>a[href*=\"github.com\"]){flex-wrap:wrap}@media (min-width:640px){.feedback-toolbar #feedback-thumbs-down{margin-right:1.5rem}}"},{"filePath":"assets/version-selector-placement.css","content":"@media (min-width:1024px){#sidebar-content .text-sm.relative>.pl-2{position:sticky;top:0;z-index:20;background-color:var(--color-background-light)}.dark #sidebar-content .text-sm.relative>.pl-2{background-color:var(--color-background-dark)}#sidebar-content .text-sm.relative>.pl-2::before{content:\"\";position:absolute;left:0;right:0;top:-16px;height:16px;background-color:inherit}#sidebar-content .text-sm.relative>.pl-2>button[aria-haspopup=menu]{width:195px;max-width:195px}#navbar .hidden.lg\\:flex.items-center.gap-x-2{position:absolute;top:123px;left:195px;z-index:30}}@media (max-width:1023.98px){#mobile-nav #navigation-items{display:flex;flex-direction:column;gap:.5rem}#mobile-nav #navigation-items>.flex.flex-col.gap-y-2.mb-6{display:contents}#mobile-nav #navigation-items>button:nth-of-type(1){order:1}#mobile-nav #navigation-items>.flex.flex-col.gap-y-2.mb-6>.flex.flex-wrap.gap-2{order:2}#mobile-nav #navigation-items>button:nth-of-type(2){order:3}#mobile-nav #navigation-items>.flex.flex-col.gap-y-2.mb-6>button{order:4}#mobile-nav #navigation-items>.mt-6{order:5}}"},{"filePath":"assets/global-fixes.css","content":".nav-dropdown-products-selector-trigger{border-radius:999px!important;border:1px solid rgba(15,23,42,.15);transition:border-color .2s ease,background-color .2s ease;width:12rem;max-width:12rem;flex:0 0 12rem;overflow:visible}@media (max-width:1023.98px){#mobile-nav .nav-dropdown-products-selector-trigger{width:auto;max-width:none;flex:initial;border-radius:.85rem!important}}html.dark .nav-dropdown-products-selector-trigger{border-color:rgba(226,232,240,.2)}.nav-dropdown-products-selector-trigger:hover,.nav-dropdown-products-selector-trigger[aria-expanded=true]{border-color:rgba(104,81,214,.7)}.nav-dropdown-products-selector-trigger>span{max-width:none!important;white-space:normal!important;-webkit-line-clamp:unset!important;display:inline!important}.prose :where(img):not(:where([class~=not-prose],[class~=not-prose] *)){margin-top:0;margin-bottom:0}:not(pre)>code{padding:.125rem 0}#content-area #header .mt-2.text-lg p{font-size:.875rem!important;line-height:1.375rem!important}#sidebar-content div.w-\\[78px\\].h-\\[21px\\]{width:auto!important;white-space:nowrap!important;padding:2px 6px!important}"}],"page":{"pagePath":"rest-api/moderation-apis/update-keyword","slug":"/rest-api/moderation-apis/update-keyword","pageMetadata":{"openapi":"put /moderation/keywords/{keywordId}","description":"Update a CometChat moderation keyword by keywordId with REST API to change keyword or regex pattern settings.","title":"Update keyword","href":"/rest-api/moderation-apis/update-keyword"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Update a CometChat moderation keyword by keywordId with REST API to change keyword or regex pattern settings.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"put /moderation/keywords/{keywordId}","description":"Update a CometChat moderation keyword by keywordId with REST API to change keyword or regex pattern settings.","title":"Update keyword","href":"/rest-api/moderation-apis/update-keyword"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/docs/_mintlify/custom/cometchat-22654f5b/36ac8063d2fb5fe5/assets/consent.js","/docs/_mintlify/custom/cometchat-22654f5b/5c3dfb209223f9f6/assets/feedback-support-ticket.js"],"openApiReferenceData":{"operation":{"tags":["Moderation"],"summary":"Update keyword","description":"Update a CometChat moderation keyword by keywordId with REST API to change keyword or regex pattern settings.","operationId":"chat-api-update-rule-keyword","parameters":["03368a50-4ac1-4a5a-b535-45c8dd65d784"],"requestBody":"87a9ff7e-a739-4d82-abb9-c7a7fec14f66","responses":{"200":"9a17e169-8534-45c3-bcae-945625d6601e"},"security":["1198ae77-c707-4907-938b-b2bd6f7b4d38"],"method":"put","type":"path","servers":["1c355dce-5f48-4cef-8668-bd0dd4ed5bbd"],"path":"/moderation/keywords/{keywordId}","baseUrlOptions":["https://{appId}.api-{region}.cometchat.io/v3"],"title":"Update keyword","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"03368a50-4ac1-4a5a-b535-45c8dd65d784":{"name":"keywordId","in":"path","description":"Keyword ID","required":true,"schema":{"type":"string","isRequired":true,"description":"Keyword ID","uniqueKey":"","typeLabel":"string"}}},"requestBody":{"content":{"multipart/form-data":{"schema":{"oneOf":[{"type":"object","required":["category","searchTerms"],"properties":{"category":{"description":"Type of entries in the list","type":"string","enum":["word","pattern","sentence-similarity"],"isRequired":true,"uniqueKey":"oneOf.0.category","typeLabel":"enum\u003cstring>"},"searchTerms":{"description":"Comma-separated values of keywords or regex patterns if no file is provided.","type":"string","example":"AI-powered video moderation to detect unsafe content.","isRequired":true,"uniqueKey":"oneOf.0.searchTerms","typeLabel":"string"},"file":{"description":"CSV file containing the keywords or regex patterns for the list.","type":"string","format":"binary","uniqueKey":"oneOf.0.file","typeLabel":"file"},"id":{"description":"Unique identifier for the word list.","type":"string","example":"ID-of-the-word-list","uniqueKey":"oneOf.0.id","typeLabel":"string"},"name":{"description":"Descriptive name for the word list.","type":"string","example":"Name of the word list","uniqueKey":"oneOf.0.name","typeLabel":"string"},"description":{"description":"Detailed explanation of the word list's purpose.","type":"string","example":"Description of the word list","uniqueKey":"oneOf.0.description","typeLabel":"string"}},"uniqueKey":"oneOf.0","typeLabel":"object"},{"type":"object","required":["category","searchTerms"],"properties":{"category":{"description":"Type of entries in the list","type":"string","enum":["word","pattern","sentence-similarity"],"isRequired":true,"uniqueKey":"oneOf.1.category","typeLabel":"enum\u003cstring>"},"searchTerms":{"description":"Comma-separated values of keywords or regex patterns if no file is provided.","type":"string","example":"AI-powered video moderation to detect unsafe content.","isRequired":true,"uniqueKey":"oneOf.1.searchTerms","typeLabel":"string"},"file":{"description":"CSV file containing the keywords or regex patterns for the list.","type":"string","format":"binary","uniqueKey":"oneOf.1.file","typeLabel":"file"},"id":{"description":"Unique identifier for the pattern list.","type":"string","example":"ID-of-the-pattern-list","uniqueKey":"oneOf.1.id","typeLabel":"string"},"name":{"description":"Descriptive name for the pattern list.","type":"string","example":"Name of the pattern list","uniqueKey":"oneOf.1.name","typeLabel":"string"},"description":{"description":"Detailed explanation of the pattern list's purpose.","type":"string","example":"Description of the pattern list","uniqueKey":"oneOf.1.description","typeLabel":"string"}},"uniqueKey":"oneOf.1","typeLabel":"object"},{"type":"object","required":["category","disallowedSentences"],"properties":{"category":{"description":"Type of entries in the list","type":"string","enum":["word","pattern","sentence-similarity"],"isRequired":true,"uniqueKey":"oneOf.2.category","typeLabel":"enum\u003cstring>"},"disallowedSentences":{"description":"Comma-separated sentences that are disallowed if the category is 'sentence-similarity'.","type":"array","items":{"type":"string","uniqueKey":"oneOf.2.disallowedSentences.items.[INDEX]","typeLabel":"string"},"example":["Hello, let's connect on Whatsapp."],"isRequired":true,"uniqueKey":"oneOf.2.disallowedSentences","typeLabel":"string[]"},"file":{"description":"CSV file containing the keywords or regex patterns for the list.","type":"string","format":"binary","uniqueKey":"oneOf.2.file","typeLabel":"file"},"id":{"description":"Unique identifier for the keyword list.","type":"string","example":"ID-of-the-sentences-list","uniqueKey":"oneOf.2.id","typeLabel":"string"},"name":{"description":"Descriptive name for the keyword list.","type":"string","example":"Name of the sentences list","uniqueKey":"oneOf.2.name","typeLabel":"string"},"description":{"description":"Detailed explanation of the keyword list's purpose.","type":"string","example":"Description of the sentences list","uniqueKey":"oneOf.2.description","typeLabel":"string"}},"uniqueKey":"oneOf.2","typeLabel":"object"}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"searchTerms":"AI-powered video moderation to detect unsafe content.","file":"\u003cstring>","id":"ID-of-the-word-list","name":"Name of the word list","description":"Description of the word list"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"9a17e169-8534-45c3-bcae-945625d6601e":{"description":"Update Keyword","content":{"application/json":{"schema":{"properties":{"data":{"description":"Response data","properties":{"id":{"type":"string","uniqueKey":"data.id","typeLabel":"string"},"name":{"type":"string","uniqueKey":"data.name","typeLabel":"string"},"webhookURL":{"type":"string","uniqueKey":"data.webhookURL","typeLabel":"string"},"useBasicAuth":{"type":"boolean","uniqueKey":"data.useBasicAuth","typeLabel":"boolean"},"username":{"type":"string","uniqueKey":"data.username","typeLabel":"string"},"password":{"type":"string","uniqueKey":"data.password","typeLabel":"string"},"enabled":{"type":"boolean","uniqueKey":"data.enabled","typeLabel":"boolean"},"createdAt":{"type":"integer","uniqueKey":"data.createdAt","typeLabel":"integer"},"updatedAt":{"type":"integer","uniqueKey":"data.updatedAt","typeLabel":"integer"}},"type":"object","uniqueKey":"data","typeLabel":"object"}},"type":"object","uniqueKey":"","typeLabel":"object"},"example":{"data":{"id":"profanity-list","name":"Profane Words","category":"word","isCSV":false,"searchTerms":["fuck","nigger","fuck","nigger","wanker","cunt","damn","shit","fag","shithead","jizz","hellbitch","retard","cocksucker","cock","kill","cunt","kike","twat","bastard","death","asshole","wop","scumbag","penis","murder","dick","gook","vagina","rape","bastard","spic","spunk","beat"],"createdAt":1718354412,"updatedAt":1718354412,"revisionId":"253157108b5294c4_profanity-list_1","active":true,"default":true}},"examples":{"Example":{"title":"Example","value":{"data":{"id":"profanity-list","name":"Profane Words","category":"word","isCSV":false,"searchTerms":["fuck","nigger","fuck","nigger","wanker","cunt","damn","shit","fag","shithead","jizz","hellbitch","retard","cocksucker","cock","kill","cunt","kike","twat","bastard","death","asshole","wop","scumbag","penis","murder","dick","gook","vagina","rape","bastard","spic","spunk","beat"],"createdAt":1718354412,"updatedAt":1718354412,"revisionId":"253157108b5294c4_profanity-list_1","active":true,"default":true}}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"1198ae77-c707-4907-938b-b2bd6f7b4d38":{"apiKey":{"type":"apiKey","description":"API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).","name":"apikey","in":"header","scopes":[]}}},"servers":{"1c355dce-5f48-4cef-8668-bd0dd4ed5bbd":{"url":"https://{appId}.api-{region}.cometchat.io/v3","variables":{"appId":{"default":"appId","description":"(Required) App ID"},"region":{"enum":["us","eu","in"],"default":"us","description":"Select Region"}}}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","description":"API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).","name":"apikey","in":"header","scopes":[]},"schema":{"title":"apikey","type":"string","description":"API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"apiKey","name":"apikey"}],"title":"apiKey"}]},"originalFileLocation":"chat-apis.json"},"subdomain":"cometchat-22654f5b","siteName":"CometChat Docs","title":"Update keyword - CometChat Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-05-25T12:24:38.778Z","originalFileLocation":"rest-api/moderation-apis/update-keyword.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Update a CometChat moderation keyword by keywordId with REST API to change keyword or regex pattern settings.\">\u003cmeta data-mint-head name=\"application-name\" content=\"CometChat Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/cometchat-22654f5b/9HQD26P0kBVs3M5H/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/docs/mintlify-assets/_mintlify/favicons/cometchat-22654f5b/9HQD26P0kBVs3M5H/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/cometchat-22654f5b/9HQD26P0kBVs3M5H/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/cometchat-22654f5b/9HQD26P0kBVs3M5H/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/cometchat-22654f5b/9HQD26P0kBVs3M5H/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/cometchat-22654f5b/9HQD26P0kBVs3M5H/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/cometchat-22654f5b/9HQD26P0kBVs3M5H/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/cometchat-22654f5b/9HQD26P0kBVs3M5H/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/cometchat-22654f5b/9HQD26P0kBVs3M5H/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update keyword - CometChat Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Update a CometChat moderation keyword by keywordId with REST API to change keyword or regex pattern settings.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"CometChat Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://www.cometchat.com/docs/rest-api/moderation-apis/update-keyword\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://cometchat-22654f5b.mintlify.app/_mintlify/api/og/v2?division=Keywords\u0026amp;title=Update+keyword\u0026amp;description=Update+a+CometChat+moderation+keyword+by+keywordId+with+REST+API+to+change+keyword+or+regex+pattern+settings.\u0026amp;theme=49fdcba0a8a0d0cce2bd7088\u0026amp;signature=411865217ea69680c0cc58b5049f788271b3d890b812ae18a402cf1a44475aa0\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Update keyword - CometChat Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Update a CometChat moderation keyword by keywordId with REST API to change keyword or regex pattern settings.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://cometchat-22654f5b.mintlify.app/_mintlify/api/og/v2?division=Keywords\u0026amp;title=Update+keyword\u0026amp;description=Update+a+CometChat+moderation+keyword+by+keywordId+with+REST+API+to+change+keyword+or+regex+pattern+settings.\u0026amp;theme=49fdcba0a8a0d0cce2bd7088\u0026amp;signature=411865217ea69680c0cc58b5049f788271b3d890b812ae18a402cf1a44475aa0\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/docs/mintlify-assets/_mintlify/favicons/cometchat-22654f5b/9HQD26P0kBVs3M5H/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"CometChat Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#6851D6\">\u003cmeta data-mint-head name=\"charset\" content=\"UTF-8\">\u003cmeta data-mint-head name=\"viewport\" content=\"width=device-width, initial-scale=1.0\">\u003cmeta data-mint-head name=\"language\" content=\"en\">\u003clink data-mint-head rel=\"canonical\" href=\"https://www.cometchat.com/docs/rest-api/moderation-apis/update-keyword\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/docs/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/rest-api/moderation-apis/update-keyword.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://www.cometchat.com/#organization\",\"name\":\"CometChat Docs\",\"url\":\"https://www.cometchat.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/cometchat-22654f5b/rnJE5Ok_8RIDEPUR/logo/light.svg?fit=max\u0026auto=format\u0026n=rnJE5Ok_8RIDEPUR\u0026q=85\u0026s=461a8ced4bf934b4f3a2770f090f2d3c\"}},{\"@type\":\"WebSite\",\"@id\":\"https://www.cometchat.com/docs#website\",\"name\":\"CometChat Docs\",\"url\":\"https://www.cometchat.com/docs\",\"publisher\":{\"@id\":\"https://www.cometchat.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://www.cometchat.com/docs/rest-api/moderation-apis/update-keyword#webpage\",\"url\":\"https://www.cometchat.com/docs/rest-api/moderation-apis/update-keyword\",\"name\":\"Update keyword\",\"description\":\"Update a CometChat moderation keyword by keywordId with REST API to change keyword or regex pattern settings.\",\"dateModified\":\"2026-05-25T12:24:38.778Z\",\"isPartOf\":{\"@id\":\"https://www.cometchat.com/docs#website\"},\"breadcrumb\":{\"@id\":\"https://www.cometchat.com/docs/rest-api/moderation-apis/update-keyword#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://www.cometchat.com/docs/rest-api/moderation-apis/update-keyword#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Moderation APIs\",\"item\":\"https://www.cometchat.com/docs/rest-api/moderation-apis/overview\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Keywords\",\"item\":\"https://www.cometchat.com/docs/rest-api/moderation-apis/list-keywords\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Update keyword\",\"item\":\"https://www.cometchat.com/docs/rest-api/moderation-apis/update-keyword\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://www.cometchat.com/docs/rest-api/moderation-apis/update-keyword#apireference\",\"headline\":\"Update keyword\",\"name\":\"Update keyword\",\"description\":\"Update a CometChat moderation keyword by keywordId with REST API to change keyword or regex pattern settings.\",\"url\":\"https://www.cometchat.com/docs/rest-api/moderation-apis/update-keyword\",\"mainEntityOfPage\":{\"@id\":\"https://www.cometchat.com/docs/rest-api/moderation-apis/update-keyword#webpage\"},\"dateModified\":\"2026-05-25T12:24:38.778Z\",\"publisher\":{\"@id\":\"https://www.cometchat.com/#organization\"},\"isPartOf\":{\"@id\":\"https://www.cometchat.com/docs#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"CometChat Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"CometChat Docs","nav":{"global":null,"products":[{"product":"Home","pages":[{"title":"Home","href":""}]},{"product":"Home","hidden":true,"pages":[{"title":"Home","href":"/on-premise-deployment/docker/overview","hidden":true}]},{"product":"Chat \u0026 Messaging","pages":[{"title":"Chat \u0026 Messaging","href":"/chat-call"}]},{"product":"Voice \u0026 Video Calling","pages":[{"title":"Voice \u0026 Video Calling","href":"/calls"}]},{"product":"AI Agents","pages":[{"title":"AI Agents","href":"/ai-agents"}]},{"product":"AI Moderation","tabs":[{"tab":"AI Moderation","pages":[{"title":"AI Moderation","href":"/moderation/overview"}]},{"tab":"APIs","groups":[{"group":"Moderation APIs","pages":[{"title":"AI Moderation APIs","sidebarTitle":"Overview","href":"/rest-api/moderation-apis/overview"},{"title":"Setup \u0026 Authentication","icon":"key","url":"/rest-api/authentication","href":"/rest-api/moderation-apis/setup-and-authentication"},{"title":"Users \u0026 Groups","icon":"users","url":"/rest-api/users","href":"/rest-api/moderation-apis/users-and-groups"},{"group":"Rules","icon":"gavel","expanded":false,"pages":[{"openapi":"get /moderation/rules","title":"List Rules","href":"/rest-api/moderation-apis/list-rules"},{"openapi":"post /moderation/rules","title":"Add Rule","href":"/rest-api/moderation-apis/add-rule"},{"openapi":"get /moderation/rules/{ruleId}","title":"Get Rule","href":"/rest-api/moderation-apis/get-rule"},{"openapi":"put /moderation/rules/{ruleId}","title":"Update Rule","href":"/rest-api/moderation-apis/update-rule"},{"openapi":"delete /moderation/rules/{ruleId}","title":"Remove rule","href":"/rest-api/moderation-apis/remove-rule"},{"openapi":"get /moderation/rules/{ruleId}/revisions","title":"Get Rule Revisions","href":"/rest-api/moderation-apis/get-rule-revisions"}]},{"group":"Keywords","icon":"font","expanded":false,"pages":[{"openapi":"get /moderation/keywords","title":"List keywords","href":"/rest-api/moderation-apis/list-keywords"},{"openapi":"post /moderation/keywords","title":"Add Keywords","href":"/rest-api/moderation-apis/add-keywords"},{"openapi":"get /moderation/keywords/{keywordId}","description":"Get a CometChat moderation keyword by keywordId with REST API to view pattern details and list configuration.","title":"Get keyword","href":"/rest-api/moderation-apis/get-keyword"},{"openapi":"put /moderation/keywords/{keywordId}","title":"Update keyword","href":"/rest-api/moderation-apis/update-keyword"},{"openapi":"delete /moderation/keywords/{keywordId}","description":"Remove a CometChat moderation keyword by keywordId with REST API to delete a keyword or regex pattern from checks.","title":"Remove keyword","href":"/rest-api/moderation-apis/remove-keyword"}]},{"group":"Blocked Messages","icon":"ban","expanded":false,"pages":[{"openapi":"get /moderation/blocked-messages","title":"List Blocked Messages","href":"/rest-api/moderation-apis/list-blocked-messages"},{"openapi":"patch /moderation/blocked-messages/{messageId}","title":"Approve Blocked Messages","href":"/rest-api/moderation-apis/approve-blocked-messages"},{"openapi":"patch /moderation/blocked-messages/{id}","title":"Review Blocked Message","href":"/rest-api/moderation-apis/review-blocked-message"}]},{"group":"Flagged Messages","icon":"flag","expanded":false,"pages":[{"openapi":"post /messages/{id}/flagged","title":"Flag a message","href":"/rest-api/moderation-apis/flag-a-message"},{"openapi":"patch /moderation/flagged-messages/{id}","title":"Block/Review Flagged Message","href":"/rest-api/moderation-apis/blockreview-flagged-message"},{"openapi":"get /moderation/flagged-messages","title":"List flagged messages","href":"/rest-api/moderation-apis/list-flagged-messages"},{"openapi":"get /moderation/reviewed-messages","title":"List Reviewed messages","href":"/rest-api/moderation-apis/list-reviewed-messages"}]},{"group":"Reasons","icon":"clipboard-list","expanded":false,"pages":[{"openapi":"post /moderation/reasons","title":"Create Reasons","href":"/rest-api/moderation-apis/create-reasons"},{"openapi":"get /moderation/reasons","title":"List Reasons","href":"/rest-api/moderation-apis/list-reasons"},{"openapi":"get /moderation/reasons/{id}","title":"Get Reason details","href":"/rest-api/moderation-apis/get-reason-details"},{"openapi":"put /moderation/reasons/{id}","title":"Update Reason details","href":"/rest-api/moderation-apis/update-reason-details"},{"openapi":"delete /moderation/reasons/{id}","title":"Delete Reasons","href":"/rest-api/moderation-apis/delete-reasons"}]},{"group":"Troubleshoot","icon":"circle-question","expanded":false,"pages":[{"title":"Error Codes","sidebarTitle":"Error Codes","href":"/rest-api/moderation-apis/error-codes"},{"title":"Properties and Constraints","sidebarTitle":"Properties and Constraints","href":"/rest-api/moderation-apis/properties-and-constraints"}]}]}]}]},{"product":"Notifications","pages":[{"title":"Notifications","href":"/notifications"}]},{"product":"Campaigns","pages":[{"title":"Campaigns","href":"/campaigns"}]},{"product":"Insights","pages":[{"title":"Insights","href":"/insights"}]}]},"title":"Update keyword - CometChat Docs","buildId":"dpl_3DJU2xKhT5gDPFQL5Tqv7AFnkWsF","deploymentId":"dpl_3DJU2xKhT5gDPFQL5Tqv7AFnkWsF","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DsGgv5pK.js","utils-B0h6ZXi-.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-IgrnFwPw.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-C49-TBER.js","snippetPresets-BPHn-9OB.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CGBwAHwX.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BjABHCCH.js","shallow-C0Uj5sOI.js","getApiPlaygroundDisplay-BnYiIeY4.js","CodeSnippet-BJWWrlBw.js","CodeSnippets-bxE5aDye.js","Page-BBU7roUf.js","getPastedJson-BAjriezQ.js","icon-BqcS52QC.js","MethodPill-BPGyN9me.js","DuplicateIcon-CCf2giLL.js","createIcon-CVH8aNt2.js","DynamicMarkdown-BklwmxA6.js","SectionHeading-DYCZQFxh.js","axios-vUo_bRtp.js","Markdown-D26rHnOC.js","clsx-DkiOUx4h.js","lib--scc4DXi.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-DI8jfVGc.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-DwJy-csb.js"]}